<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/net/ip6_address.hpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dc/d02/ip6__address_8hpp_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ip6_address.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d02/ip6__address_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *  2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *     documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *  3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *     names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *     derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *  POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifndef IP6_ADDRESS_HPP_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#define IP6_ADDRESS_HPP_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dc/dbf/openthread-types_8h.html">openthread-types.h</a>&gt;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d9/d00/namespaceThread.html">Thread</a> {</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">namespace </span>Ip6 {</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<a class="code" href="../../d7/da1/group__toolchain.html#gaba6ad63129c3a790957a9b149a65891b">OT_TOOL_PACKED_BEGIN</a></div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">   56</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a>: <span class="keyword">public</span> <a class="code" href="../../d6/d55/structotIp6Address.html">otIp6Address</a></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;{</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    {</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#acbc13cfb9a17025f1f57051f71dd4f00a4141f36de1ffc17734ac73ffce2f592b">   65</a></span>&#160;        <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#acbc13cfb9a17025f1f57051f71dd4f00a4141f36de1ffc17734ac73ffce2f592b">kInterfaceIdentifierSize</a>   = 8,  </div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    };</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    {</div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1adab25f2ccc7248061429fbea3c2dc630">   73</a></span>&#160;        <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1adab25f2ccc7248061429fbea3c2dc630">kNodeLocalScope</a>      = 0,  </div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a2a02317f59bab272e2c3572bc13ab299">   74</a></span>&#160;        <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a2a02317f59bab272e2c3572bc13ab299">kInterfaceLocalScope</a> = 1,  </div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1afb770873a11bb2aabb16a574ab04b04d">   75</a></span>&#160;        <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1afb770873a11bb2aabb16a574ab04b04d">kLinkLocalScope</a>      = 2,  </div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a5ea73d3b52d8b6e4159753d696afc55a">   76</a></span>&#160;        <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a5ea73d3b52d8b6e4159753d696afc55a">kRealmLocalScope</a>     = 3,  </div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a06c406f9009b61b7dbc44d6b48d1ae00">   77</a></span>&#160;        <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a06c406f9009b61b7dbc44d6b48d1ae00">kAdminLocalScope</a>     = 4,  </div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1aec67b5d4893eb0e86e52532a30fef78e">   78</a></span>&#160;        <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1aec67b5d4893eb0e86e52532a30fef78e">kSiteLocalScope</a>      = 5,  </div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a8f513bcf10c0cf9925d7d9bc9b8d3a66">   79</a></span>&#160;        <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a8f513bcf10c0cf9925d7d9bc9b8d3a66">kOrgLocalScope</a>       = 8,  </div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a4733023881ae97df1c35ee8ad5634896">   80</a></span>&#160;        <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a4733023881ae97df1c35ee8ad5634896">kGlobalScope</a>         = 14, </div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    };</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a51cfd76548da9f661a0d7a47a8d5e813">IsUnspecified</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#adf30776c446d5413a6bc783fe967311b">IsLoopback</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a4324d9e8d96f5381d6b4e81e75f46364">IsInterfaceLocal</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a95748f9c0a5048ce8700cd040d7efc52">IsLinkLocal</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a37b709740053966d80e6c4b65e38ad2e">IsMulticast</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a25eecfa3d5faa101e497e8fde3964e13">IsLinkLocalMulticast</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#abee97978cb61c9eff664a3a277ac3d8c">IsLinkLocalAllNodesMulticast</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a17b1f0739fe8928caf31f86625c36dea">IsLinkLocalAllRoutersMulticast</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ab70000abd6ac0e216974ab012d4159d6">IsRealmLocalMulticast</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a93d389acbb866c3901ee565f1acaf551">IsRealmLocalAllNodesMulticast</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a6cc8ec59ac4c6b8162fba7ca194e0d11">IsRealmLocalAllRoutersMulticast</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a042097e2896ce7eebc1844140c0d2aeb">IsRoutingLocator</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a304f6cee01d4bb854cb3f2a875de2ab5">IsSubnetRouterAnycast</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a1190c16fbb7ba372aa8c15ad6018f5aa">IsReservedSubnetAnycast</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a88e2c3649cb021b804c74c96355c2b54">IsIidReserved</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    <span class="keyword">const</span> uint8_t *<a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a5782d1de44935ab3e52a2f82bb6a66db">GetIid</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;    uint8_t *<a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a5782d1de44935ab3e52a2f82bb6a66db">GetIid</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a7e4fe6c422ffbaf30638bbf7065da6fa">SetIid</a>(<span class="keyword">const</span> uint8_t *aIid);</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a7e4fe6c422ffbaf30638bbf7065da6fa">SetIid</a>(<span class="keyword">const</span> <a class="code" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">Mac::ExtAddress</a> &amp;aEui64);</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;    uint8_t <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ad4ff2b7d05753e0d533ff30a186f53dc">GetScope</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;    uint8_t <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a50ea97e2c30c6d86a74ec20558076c46">PrefixMatch</a>(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;aOther) <span class="keyword">const</span>;</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ae674bef975e707f415dd539440abf73e">operator==</a>(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;aOther) <span class="keyword">const</span>;</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a096236983059900be2d9722ab754df14">operator!=</a>(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;aOther) <span class="keyword">const</span>;</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;</div><div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a1c04d71e924b027baf699877969db09a">FromString</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *aBuf);</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a135bea8843d8668a16b4657bea43d55e">ToString</a>(<span class="keywordtype">char</span> *aBuf, uint16_t aSize) <span class="keyword">const</span>;</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;    {</div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;        kInterfaceIdentifierOffset = 8,  </div><div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;    };</div><div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;} <a class="code" href="../../d7/da1/group__toolchain.html#gacf07d7a4a2ea6d0cc3426234565fcb7b">OT_TOOL_PACKED_END</a>;</div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;</div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;}  <span class="comment">// namespace Ip6</span></div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;}  <span class="comment">// namespace Thread</span></div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;<span class="preprocessor">#endif  // NET_IP6_ADDRESS_HPP_</span></div><div class="ttc" id="structotIp6Address_html"><div class="ttname"><a href="../../d6/d55/structotIp6Address.html">otIp6Address</a></div><div class="ttdoc">This structure represents an IPv6 address. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:285</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a135bea8843d8668a16b4657bea43d55e"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a135bea8843d8668a16b4657bea43d55e">Thread::Ip6::Address::ToString</a></div><div class="ttdeci">const char * ToString(char *aBuf, uint16_t aSize) const </div><div class="ttdoc">This method converts an IPv6 address object to a NULL-terminated string. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:281</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a03908b516474258fc98768c2b6072df1afb770873a11bb2aabb16a574ab04b04d"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1afb770873a11bb2aabb16a574ab04b04d">Thread::Ip6::Address::kLinkLocalScope</a></div><div class="ttdoc">Link-Local scope. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:75</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a37b709740053966d80e6c4b65e38ad2e"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a37b709740053966d80e6c4b65e38ad2e">Thread::Ip6::Address::IsMulticast</a></div><div class="ttdeci">bool IsMulticast(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is multicast address. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:69</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a03908b516474258fc98768c2b6072df1aec67b5d4893eb0e86e52532a30fef78e"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1aec67b5d4893eb0e86e52532a30fef78e">Thread::Ip6::Address::kSiteLocalScope</a></div><div class="ttdoc">Site-Local scope. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:78</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_ad4ff2b7d05753e0d533ff30a186f53dc"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ad4ff2b7d05753e0d533ff30a186f53dc">Thread::Ip6::Address::GetScope</a></div><div class="ttdeci">uint8_t GetScope(void) const </div><div class="ttdoc">This method returns the IPv6 address scope. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:152</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a1c04d71e924b027baf699877969db09a"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a1c04d71e924b027baf699877969db09a">Thread::Ip6::Address::FromString</a></div><div class="ttdeci">ThreadError FromString(const char *aBuf)</div><div class="ttdoc">This method converts an IPv6 address string to binary. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:208</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a88e2c3649cb021b804c74c96355c2b54"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a88e2c3649cb021b804c74c96355c2b54">Thread::Ip6::Address::IsIidReserved</a></div><div class="ttdeci">bool IsIidReserved(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address contains Reserved IPv6 IID (RFC 5453)...</div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:125</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a304f6cee01d4bb854cb3f2a875de2ab5"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a304f6cee01d4bb854cb3f2a875de2ab5">Thread::Ip6::Address::IsSubnetRouterAnycast</a></div><div class="ttdeci">bool IsSubnetRouterAnycast(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is Subnet-Router Anycast (RFC 4291)...</div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:114</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_adf30776c446d5413a6bc783fe967311b"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#adf30776c446d5413a6bc783fe967311b">Thread::Ip6::Address::IsLoopback</a></div><div class="ttdeci">bool IsLoopback(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is the Loopback Address. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:59</div></div>
<div class="ttc" id="openthread-types_8h_html_ab701d053a9c34ab7f11e43e0dc09ac9f"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a></div><div class="ttdeci">ThreadError</div><div class="ttdoc">This enumeration represents error codes used throughout OpenThread. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:75</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a03908b516474258fc98768c2b6072df1a2a02317f59bab272e2c3572bc13ab299"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a2a02317f59bab272e2c3572bc13ab299">Thread::Ip6::Address::kInterfaceLocalScope</a></div><div class="ttdoc">Interface-Local scope. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:74</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a03908b516474258fc98768c2b6072df1a06c406f9009b61b7dbc44d6b48d1ae00"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a06c406f9009b61b7dbc44d6b48d1ae00">Thread::Ip6::Address::kAdminLocalScope</a></div><div class="ttdoc">Admin-Local scope. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:77</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a95748f9c0a5048ce8700cd040d7efc52"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a95748f9c0a5048ce8700cd040d7efc52">Thread::Ip6::Address::IsLinkLocal</a></div><div class="ttdeci">bool IsLinkLocal(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address scope is Link-Local. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:64</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a6cc8ec59ac4c6b8162fba7ca194e0d11"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a6cc8ec59ac4c6b8162fba7ca194e0d11">Thread::Ip6::Address::IsRealmLocalAllRoutersMulticast</a></div><div class="ttdeci">bool IsRealmLocalAllRoutersMulticast(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is a realm-local all routers multicast address...</div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:102</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a25eecfa3d5faa101e497e8fde3964e13"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a25eecfa3d5faa101e497e8fde3964e13">Thread::Ip6::Address::IsLinkLocalMulticast</a></div><div class="ttdeci">bool IsLinkLocalMulticast(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is a link-local multicast address. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:74</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a4324d9e8d96f5381d6b4e81e75f46364"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a4324d9e8d96f5381d6b4e81e75f46364">Thread::Ip6::Address::IsInterfaceLocal</a></div><div class="ttdeci">bool IsInterfaceLocal(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address scope is Interface-Local. </div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_ae674bef975e707f415dd539440abf73e"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ae674bef975e707f415dd539440abf73e">Thread::Ip6::Address::operator==</a></div><div class="ttdeci">bool operator==(const Address &amp;aOther) const </div><div class="ttdoc">This method evaluates whether or not the IPv6 addresses match. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:198</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a096236983059900be2d9722ab754df14"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a096236983059900be2d9722ab754df14">Thread::Ip6::Address::operator!=</a></div><div class="ttdeci">bool operator!=(const Address &amp;aOther) const </div><div class="ttdoc">This method evaluates whether or not the IPv6 addresses differ. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:203</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a50ea97e2c30c6d86a74ec20558076c46"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a50ea97e2c30c6d86a74ec20558076c46">Thread::Ip6::Address::PrefixMatch</a></div><div class="ttdeci">uint8_t PrefixMatch(const Address &amp;aOther) const </div><div class="ttdoc">This method returns the number of IPv6 prefix bits that match. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:170</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a51cfd76548da9f661a0d7a47a8d5e813"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a51cfd76548da9f661a0d7a47a8d5e813">Thread::Ip6::Address::IsUnspecified</a></div><div class="ttdeci">bool IsUnspecified(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is the Unspecified Address. ...</div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:54</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a042097e2896ce7eebc1844140c0d2aeb"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a042097e2896ce7eebc1844140c0d2aeb">Thread::Ip6::Address::IsRoutingLocator</a></div><div class="ttdeci">bool IsRoutingLocator(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is a RLOC address. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:108</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a03908b516474258fc98768c2b6072df1adab25f2ccc7248061429fbea3c2dc630"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1adab25f2ccc7248061429fbea3c2dc630">Thread::Ip6::Address::kNodeLocalScope</a></div><div class="ttdoc">Node-Local scope. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:73</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a03908b516474258fc98768c2b6072df1a4733023881ae97df1c35ee8ad5634896"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a4733023881ae97df1c35ee8ad5634896">Thread::Ip6::Address::kGlobalScope</a></div><div class="ttdoc">Global scope. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:80</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_abee97978cb61c9eff664a3a277ac3d8c"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#abee97978cb61c9eff664a3a277ac3d8c">Thread::Ip6::Address::IsLinkLocalAllNodesMulticast</a></div><div class="ttdeci">bool IsLinkLocalAllNodesMulticast(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is a link-local all nodes multicast address...</div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:79</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_ab70000abd6ac0e216974ab012d4159d6"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ab70000abd6ac0e216974ab012d4159d6">Thread::Ip6::Address::IsRealmLocalMulticast</a></div><div class="ttdeci">bool IsRealmLocalMulticast(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is a realm-local multicast address. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:91</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a1190c16fbb7ba372aa8c15ad6018f5aa"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a1190c16fbb7ba372aa8c15ad6018f5aa">Thread::Ip6::Address::IsReservedSubnetAnycast</a></div><div class="ttdeci">bool IsReservedSubnetAnycast(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is Reserved Subnet Anycast (RFC 2526)...</div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:119</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a17b1f0739fe8928caf31f86625c36dea"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a17b1f0739fe8928caf31f86625c36dea">Thread::Ip6::Address::IsLinkLocalAllRoutersMulticast</a></div><div class="ttdeci">bool IsLinkLocalAllRoutersMulticast(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is a link-local all routers multicast address...</div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:85</div></div>
<div class="ttc" id="group__toolchain_html_gacf07d7a4a2ea6d0cc3426234565fcb7b"><div class="ttname"><a href="../../d7/da1/group__toolchain.html#gacf07d7a4a2ea6d0cc3426234565fcb7b">OT_TOOL_PACKED_END</a></div><div class="ttdeci">#define OT_TOOL_PACKED_END</div><div class="ttdoc">Compiler-specific indication at the end of a byte packed class or struct. </div><div class="ttdef"><b>Definition:</b> toolchain.h:131</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_acbc13cfb9a17025f1f57051f71dd4f00a4141f36de1ffc17734ac73ffce2f592b"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#acbc13cfb9a17025f1f57051f71dd4f00a4141f36de1ffc17734ac73ffce2f592b">Thread::Ip6::Address::kInterfaceIdentifierSize</a></div><div class="ttdoc">Interface Identifier size in bytes. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:65</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a93d389acbb866c3901ee565f1acaf551"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a93d389acbb866c3901ee565f1acaf551">Thread::Ip6::Address::IsRealmLocalAllNodesMulticast</a></div><div class="ttdeci">bool IsRealmLocalAllNodesMulticast(void) const </div><div class="ttdoc">This method indicates whether or not the IPv6 address is a realm-local all nodes multicast address...</div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:96</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a7e4fe6c422ffbaf30638bbf7065da6fa"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a7e4fe6c422ffbaf30638bbf7065da6fa">Thread::Ip6::Address::SetIid</a></div><div class="ttdeci">void SetIid(const uint8_t *aIid)</div><div class="ttdoc">This method sets the Interface Identifier. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:141</div></div>
<div class="ttc" id="openthread-types_8h_html"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html">openthread-types.h</a></div><div class="ttdoc">This file defines the types and structures used in the OpenThread library API. </div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a03908b516474258fc98768c2b6072df1a5ea73d3b52d8b6e4159753d696afc55a"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a5ea73d3b52d8b6e4159753d696afc55a">Thread::Ip6::Address::kRealmLocalScope</a></div><div class="ttdoc">Realm-Local scope. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:76</div></div>
<div class="ttc" id="group__toolchain_html_gaba6ad63129c3a790957a9b149a65891b"><div class="ttname"><a href="../../d7/da1/group__toolchain.html#gaba6ad63129c3a790957a9b149a65891b">OT_TOOL_PACKED_BEGIN</a></div><div class="ttdeci">#define OT_TOOL_PACKED_BEGIN</div><div class="ttdoc">Compiler-specific indication that a class or struct must be byte packed. </div><div class="ttdef"><b>Definition:</b> toolchain.h:129</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a5782d1de44935ab3e52a2f82bb6a66db"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a5782d1de44935ab3e52a2f82bb6a66db">Thread::Ip6::Address::GetIid</a></div><div class="ttdeci">const uint8_t * GetIid(void) const </div><div class="ttdoc">This method returns a pointer to the Interface Identifier. </div><div class="ttdef"><b>Definition:</b> ip6_address.cpp:131</div></div>
<div class="ttc" id="classThread_1_1Mac_1_1ExtAddress_html"><div class="ttname"><a href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">Thread::Mac::ExtAddress</a></div><div class="ttdoc">This structure represents an IEEE 802.15.4 Extended Address. </div><div class="ttdef"><b>Definition:</b> mac_frame.hpp:81</div></div>
<div class="ttc" id="namespaceThread_html"><div class="ttname"><a href="../../d9/d00/namespaceThread.html">Thread</a></div><div class="ttdef"><b>Definition:</b> cli.cpp:61</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html_a03908b516474258fc98768c2b6072df1a8f513bcf10c0cf9925d7d9bc9b8d3a66"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a03908b516474258fc98768c2b6072df1a8f513bcf10c0cf9925d7d9bc9b8d3a66">Thread::Ip6::Address::kOrgLocalScope</a></div><div class="ttdoc">Organization-Local scope. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:79</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></div><div class="ttdoc">This class implements an IPv6 address object. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:56</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_73cb4d11b06c10448caf49ed02a351c4.html">net</a></li><li class="navelem"><a class="el" href="../../dc/d02/ip6__address_8hpp.html">ip6_address.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:33 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
